Package com.google.web.bindery.requestfactory.apt

## Class DomainChecker.MethodFinder

- java.lang.Object
- - javax.lang.model.util.AbstractElementVisitor6<R,​P>
  - - javax.lang.model.util.ElementScanner6<R,​State>
    - - com.google.web.bindery.requestfactory.apt.ScannerBase<javax.lang.model.element.ExecutableElement>
      - - com.google.web.bindery.requestfactory.apt.DomainChecker.MethodFinder

- All Implemented Interfaces:
    `javax.lang.model.element.ElementVisitor<javax.lang.model.element.ExecutableElement,​State>`
  Enclosing class:
    DomainChecker

      static class DomainChecker.MethodFinder
      extends ScannerBase<javax.lang.model.element.ExecutableElement>

  Attempt to find the most specific method that conforms to a given signature.

- - ### Field Summary

    - ### Fields inherited from class javax.lang.model.util.ElementScanner6

      `DEFAULT_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodFinder​(java.lang.CharSequence name, javax.lang.model.type.TypeMirror returnType, java.util.List<javax.lang.model.type.TypeMirror> params, boolean boxReturnType, State state)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.lang.model.element.ExecutableElement` | `visitExecutable​(javax.lang.model.element.ExecutableElement domainMethodElement, State state)` |
    `javax.lang.model.element.ExecutableElement` | `visitType​(javax.lang.model.element.TypeElement domainType, State state)` |

    - ### Methods inherited from class com.google.web.bindery.requestfactory.apt.ScannerBase

      `isGetter, isSetter, poisonIfAnnotationPresent, scan, scanAllInheritedMethods, shouldIgnore, viewIn`

    - ### Methods inherited from class javax.lang.model.util.ElementScanner6

      `scan, scan, visitPackage, visitTypeParameter, visitVariable`

    - ### Methods inherited from class javax.lang.model.util.AbstractElementVisitor6

      `visit, visit, visitModule, visitUnknown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodFinder

          public MethodFinder​(java.lang.CharSequence name,
                              javax.lang.model.type.TypeMirror returnType,
                              java.util.List<javax.lang.model.type.TypeMirror> params,
                              boolean boxReturnType,
                              State state)

  - ### Method Detail

    - #### visitExecutable

          public javax.lang.model.element.ExecutableElement visitExecutable​(javax.lang.model.element.ExecutableElement domainMethodElement,
                                                                            State state)

      Specified by:
        `visitExecutable` in interface `javax.lang.model.element.ElementVisitor<javax.lang.model.element.ExecutableElement,​State>`
      Overrides:
        `visitExecutable` in class `javax.lang.model.util.ElementScanner6<javax.lang.model.element.ExecutableElement,​State>`

    - #### visitType

          public javax.lang.model.element.ExecutableElement visitType​(javax.lang.model.element.TypeElement domainType,
                                                                      State state)

      Specified by:
        `visitType` in interface `javax.lang.model.element.ElementVisitor<javax.lang.model.element.ExecutableElement,​State>`
      Overrides:
        `visitType` in class `javax.lang.model.util.ElementScanner6<javax.lang.model.element.ExecutableElement,​State>`